#jinja2: lstrip_blocks: True
# Ansible generated
{% if nc_create_contact and nc_contacts is defined %}
  {% for itm in nc_contacts %}
define contact {
    contact_name                  {{ itm.contact_name }}
    alias                         {{ itm.alias }}
    {% if itm.use_default_config is defined and itm.use_default_config %}
    host_notifications_enabled    {{ itm.host_notifications_enabled | default(nc_default_contact.host_notifications_enabled) }}
    service_notifications_enabled {{ itm.service_notifications_enabled | default(nc_default_contact.service_notifications_enabled) }}
    host_notification_period      {{ itm.host_notification_period | default(nc_default_contact.host_notification_period) }}
    service_notification_period	  {{ itm.service_notification_period | default(nc_default_contact.service_notification_period) }}
    host_notification_options     {{ itm.host_notification_options | default(nc_default_contact.host_notification_options) }}
    service_notification_options  {{ itm.service_notification_options | default(nc_default_contact.service_notification_options) }} 
    host_notification_commands    {{ itm.host_notification_commands | default(nc_default_contact.host_notification_commands) }}
    service_notification_commands {{ itm.service_notification_commands | default(nc_default_contact.service_notification_commands) }}
    {% endif %}
    {% if itm.extra_configs is defined %}
      {% for cnf in itm.extra_configs %}
        {% if cnf.content is not string and cnf.content is iterable %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content | join(',') }}
        {% else %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content }}
        {% endif %}
      {% endfor %}
    {% endif %}
}
  {% endfor %}
{% endif %}

{% if nc_contactgroups is defined %}
  {% for itm in nc_contactgroups %}
define contactgroup {
    contactgroup_name             {{ itm.contactgroup_name }}
    alias                         {{ itm.alias }}
    {% if itm.extra_configs is defined %} 
      {% for cnf in itm.extra_configs %}
        {% if cnf.content is not string and cnf.content is iterable %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content | join(',') }}
        {% else %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content }}
        {% endif %}
      {% endfor %}
    {% endif %}
}
  {% endfor %}
{% endif %}

{% if nc_hostgroups is defined %}
  {% for itm in nc_hostgroups %}
define hostgroup {
    hostgroup_name                {{ itm.hostgroup_name }}
    alias                         {{ itm.alias }}
    {% if itm.extra_configs is defined %}
      {% for cnf in itm.extra_configs %}
        {% if cnf.content is not string and cnf.content is iterable %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content | join(',') }}
        {% else %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content }}
        {% endif %}
      {% endfor %}
    {% endif %}
}
  {% endfor %}
{% endif %}

{% for itm in nc_servicegroups %}
define servicegroup {
    servicegroup_name             {{ itm.servicegroup_name }}
    alias                         {{ itm.alias | default(itm.servicegroup_name) }}
  {% if itm.extra_configs is defined %}
    {% for cnf in itm.extra_configs %}
      {% if cnf.content is not string and cnf.content is iterable %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content | join(',') }}
      {% else %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content }}
      {% endif %}
    {% endfor %}
  {% endif %}
}
{% endfor %}

{% for itm in nc_host_templs %}
define host {
    name                          {{ itm.name }}
    alias                         {{ itm.alias }}
  {% if itm.use_default_config is defined and itm.use_default_config %}
    check_command                 {{ itm.check_command | default(nc_default_host.check_command) }}
    max_check_attempts            {{ itm.max_check_attempts | default(nc_default_host.max_check_attempts) }}
    check_interval                {{ itm.check_interval | default(nc_default_host.check_interval) }}
    retry_interval                {{ itm.retry_interval | default(nc_default_host.retry_interval) }}
    check_period                  {{ itm.check_period | default(nc_default_host.check_period) }}
    notification_interval         {{ itm.notification_interval | default(nc_default_host.notification_interval) }}
    notification_period           {{ itm.notification_period | default(nc_default_host.notification_period) }}
    notification_options          {{ itm.notification_options | default(nc_default_host.notification_options) }}
    notifications_enabled         {{ itm.notifications_enabled | default(nc_default_host.notifications_enabled) }}
    icon_image                    {{ itm.icon_image | default(nc_default_host.icon_image) }}
    statusmap_image               {{ itm.statusmap_image | default(nc_default_host.statusmap_image) }}
    contact_groups                {{ itm.contact_groups | join(',') }}
    hostgroups                    {{ itm.hostgroups | join(',') }}
  {% endif %}
  {% if itm.extra_configs is defined %}
    {% for cnf in itm.extra_configs %}
      {% if cnf.content is not string and cnf.content is iterable %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content | join(',') }}
      {% else %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content }}
      {% endif %}
    {% endfor %}
  {% endif %}
    register                      0 
}
{% endfor %}

{% for itm in nc_service_templs %}
define service {
    name                          {{ itm.name }} 
    service_description           {{ itm.service_description }}
    display_name                  {{ itm.display_name |  default(itm.service_description) }}
  {% if itm.use_default_config is defined and itm.use_default_config %}
    check_command                 {{ itm.check_command | default(nc_default_service.check_command) }}
    max_check_attempts            {{ itm.max_check_attempts | default(nc_default_service.max_check_attempts) }}
    check_interval                {{ itm.check_interval | default(nc_default_service.check_interval) }}
    retry_interval                {{ itm.retry_interval | default(nc_default_service.retry_interval) }}
    check_period                  {{ itm.check_period | default(nc_default_service.check_period) }}
    notification_interval         {{ itm.notification_interval | default(nc_default_service.notification_interval) }}
    notification_period           {{ itm.notification_period | default(nc_default_service.notification_period) }}
    notification_options          {{ itm.notification_options | default(nc_default_service.notification_options) }}
    notifications_enabled         {{ itm.notifications_enabled | default(nc_default_service.notifications_enabled) }}
    contact_groups                {{ itm.contact_groups | join(',') }}
    hostgroup_name                {{ itm.hostgroup_name | join(',') }}
    servicegroups                 {{ itm.servicegroups | join(',') }}
  {% endif %}
  {% if itm.extra_configs is defined %}
    {% for cnf in itm.extra_configs %}
      {% if cnf.content is not string and cnf.content is iterable %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content | join(',') }}
      {% else %}
    {{ "%-29s" | format(cnf.name) }} {{ cnf.content }}
      {% endif %}
    {% endfor %}
  {% endif %}
    register                      0
}
{% endfor %}
